#define pre rc1
%define name_base qwtpolar

Name:          %{name_base}-qt5
Version:       1.1.1
Release:       2%{?pre:-%{pre}}%{?dist}
Summary:       Qwt/Qt Polar Plot Library
Group:         System Environment/Libraries
License:       LGPLv2 with exceptions
URL:           http://qwtpolar.sourceforge.net
Source0:       http://downloads.sourceforge.net/%{name_base}/%{name_base}-%{version}%{?pre:-%{pre}}.tar.bz2

# use system qt_install paths
Patch0:        qwtpolar-1.1.1-qt_install_paths.patch
# add pkgconfig support
Patch1:        qwtpolar-1.1.1-pkgconfig.patch
# Use the Qt5 version of qwt
Patch2:        qwtpolar-1.1.1-qwt-qt5.patch
BuildRequires: qwt-qt5-devel

%description
The QwtPolar library contains classes for displaying values on a polar
coordinate system. It is an add-on package for the Qwt Library.

%package devel
Summary:        Development Libraries for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the files necessary
to develop applications using QwtPolar.

%package doc
Summary:        Developer documentation for %{name}
BuildArch:      noarch

%description doc
This package contains developer documentation for QwtPolar.


%prep
%setup -q -n %{name_base}-%{version}%{?pre:-%{pre}}
%patch0 -p1 -b .qt_install_paths
%patch1 -p1 -b .pkgconfig
%patch2 -p1

rm -rf doc/man
chmod 644 COPYING


%build
%{?_qt5_qmake} "INCLUDEPATH += %{_qt5_headerdir}/qwt"
make %{?_smp_mflags}


%install
make install INSTALL_ROOT=%{buildroot}

mv %{buildroot}/%{_qt5_docdir}/html/html \
   %{buildroot}/%{_qt5_docdir}/html/%{name_base}

# Hacks for parallel-installability with qwt for Qt4
mv %{buildroot}%{_qt5_libdir}/libqwtpolar.so \
   %{buildroot}%{_qt5_libdir}/libqwtpolar-qt5.so
mv %{buildroot}%{_qt5_libdir}/pkgconfig/qwtpolar.pc \
   %{buildroot}%{_qt5_libdir}/pkgconfig/qwtpolar-qt5.pc
sed -i -e 's|-lqwtpolar|-lqwtpolar-qt5|g' %{buildroot}%{_qt5_libdir}/pkgconfig/qwtpolar-qt5.pc


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc COPYING CHANGES
%{_qt5_libdir}/libqwtpolar.so.1*
%{?_qt5_plugindir}/designer/libqwt_polar_designer_plugin.so

%files devel
%{_qt5_headerdir}/qwt_polar*.h
%{_qt5_libdir}/libqwtpolar-qt5.so
%{_qt5_libdir}/pkgconfig/qwtpolar-qt5.pc
%{_qt5_libdir}/qt5/mkspecs/features/qwtpolar*

%files doc
%doc examples
# Own these to avoid needless dep on qt/qt-doc
%dir %{_qt5_docdir}
%dir %{_qt5_docdir}/html/
%{_qt5_docdir}/html/%{name_base}/


%changelog
* Tue Dec 09 2014 Dave Johansen <davejohansen@gmail.com> 1.1.1-2
- Initial release for Qt5

* Tue Sep 23 2014 Volker Fröhlich <volker27@gmx.at> 1.1.1-1
- New upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.4.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 08 2013 Rex Dieter <rdieter@fedoraproject.org> 1.1.0-0.2.rc1
- qwtpolar-1.1.0-rc1

* Tue Oct 29 2013 Rex Dieter <rdieter@fedoraproject.org> 1.1.0-0.1.rc0
- qwtpolar-1.1.0-rc0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 18 2012 Rex Dieter <rdieter@fedoraproject.org> 1.0.1-1.1
- fix qreal != double assumptions (for arm)

* Sat Nov 24 2012 Volker Fröhlich <volker27@gmx.at> 1.0.1-1
- New upstream release
- Move designer plug-in to main package
- Split off doc sub-package
- Add isa macro to Requires of devel
- Make better use of qt macros

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 11 2011 Volker Fröhlich <volker27@gmx.at> 0.1.0-5
- Don't build with multiple workers

* Thu Jul 07 2011 Volker Fröhlich <volker27@gmx.at> 0.1.0-4
- Replace optimization on linker call and remove pthread link
- Explicit make call
- Produce proper developer documentation
- Drop defattr lines

* Mon Jun 06 2011 Volker Fröhlich <volker27@gmx.at> 0.1.0-3
- Removed waste word from description

* Sat May 21 2011 Volker Fröhlich <volker27@gmx.at> 0.1.0-2
- Use upstream's summary

* Sat May 21 2011 Volker Fröhlich <volker27@gmx.at> 0.1.0-1
- Initial packaging for Fedora
